#

Function HASH-TABLE-SIZE

Syntax:

hash-table-size hash-table => size

Arguments and Values:

hash-table---a hash table.

size---a non-negative integer.

Description:

Returns the current size of hash-table, which is suitable for use in a call to make-hash-table in order to produce a hash table with state corresponding to the current state of the hash-table.

Examples: None.

Side Effects: None.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if hash-table is not a hash table.

See Also:

hash-table-count, make-hash-table

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- HASH-TABLE-ACCESS:X3J13-MAR-89

Copyright 1996-2001, Xanalys Inc. All rights reserved.